Jump to content

Upgrade 2.3.6 - 4.6.6 fail


DawPi
 Share

Go to solution Solved by Stuart Silvester,

Recommended Posts

Hello,

I uploaded all newest files into FTP and then trying run upgrader (admin/upgrade) I'm getting this error:


Mon, 27 Sep 2021 10:04:48 +0000
SELECT * FROM `ips_core_applications` AS `core_applications` ORDER BY app_position
IPS\Db\Exception: Table 'xxx.ips_core_applications' doesn't exist (1146)
#0xxx/public_html/system/Db/Select.php(383): IPS\_Db->preparedQuery()
#1xxx/public_html/system/Db/Select.php(441): IPS\Db\_Select->runQuery()
#2 [internal function]: IPS\Db\_Select->rewind()
#3xxx/public_html/system/Application/Application.php(176): iterator_to_array()
#4xxx/public_html/system/Application/Application.php(145): IPS\_Application::getStore()
#5xxx/public_html/applications/core/modules/setup/upgrade/login.php(81): IPS\_Application::applications()
#6xxx/public_html/system/Dispatcher/Controller.php(101): IPS\core\modules\setup\upgrade\_login->manage()
#7xxx/public_html/system/Dispatcher/Setup.php(220): IPS\Dispatcher\_Controller->execute()
#8xxx/public_html/admin/upgrade/index.php(34): IPS\Dispatcher\_Setup->run()
#9 {main}
#0xxx/public_html/init.php(1004): IPS\_Log::log()
#1 [internal function]: IPS\IPS::exceptionHandler()

Any help, tip would be most welcome. 😉

 

Thanks.

Link to comment
Share on other sites

18 minutes ago, DawPi said:

Hello,

I uploaded all newest files into FTP and then trying run upgrader (admin/upgrade) I'm getting this error:


Mon, 27 Sep 2021 10:04:48 +0000
SELECT * FROM `ips_core_applications` AS `core_applications` ORDER BY app_position
IPS\Db\Exception: Table 'xxx.ips_core_applications' doesn't exist (1146)
#0xxx/public_html/system/Db/Select.php(383): IPS\_Db->preparedQuery()
#1xxx/public_html/system/Db/Select.php(441): IPS\Db\_Select->runQuery()
#2 [internal function]: IPS\Db\_Select->rewind()
#3xxx/public_html/system/Application/Application.php(176): iterator_to_array()
#4xxx/public_html/system/Application/Application.php(145): IPS\_Application::getStore()
#5xxx/public_html/applications/core/modules/setup/upgrade/login.php(81): IPS\_Application::applications()
#6xxx/public_html/system/Dispatcher/Controller.php(101): IPS\core\modules\setup\upgrade\_login->manage()
#7xxx/public_html/system/Dispatcher/Setup.php(220): IPS\Dispatcher\_Controller->execute()
#8xxx/public_html/admin/upgrade/index.php(34): IPS\Dispatcher\_Setup->run()
#9 {main}
#0xxx/public_html/init.php(1004): IPS\_Log::log()
#1 [internal function]: IPS\IPS::exceptionHandler()

Any help, tip would be most welcome. 😉

 

Thanks.

 

Looking at the error message, it appears that core_applications table does not exist. Can you check the database and see if that is indeed the case?

P.s. Did you make a backup of the database before upgrading btw?

Link to comment
Share on other sites

12 minutes ago, Miss_B said:

Looking at the error message, it appears that core_applications table does not exist. Can you check the database and see if that is indeed the case?

This table should be added later by upgrader. 😉

12 minutes ago, Miss_B said:

P.s. Did you make a backup of the database before upgrading btw?

Yes. 😉

 

28 minutes ago, Sonya* said:

I would upgrade to 3.x first, then to 4.X. 😉

Why? 🙂

Link to comment
Share on other sites

4 minutes ago, DawPi said:

Why? 🙂

If the table core_applications has been added in 3.X first, then:

  • Upgrade routine from 2.X to 3.X will create it. The upgrade assumes you upgrade from 2.X.
  • Upgrade routine to 4.X assumes the table is already there and you upgrade from 3.X

Just thoughts. I have no idea in what version the table has been added.

 

Edited by Sonya*
Link to comment
Share on other sites

 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...